Skip to Content
SeyloDocs
API referenceEnvironment

Check a service's environment

GET
/api/v1/env.analyze

Runs the env analyzer over the saved .env of a service and returns its diagnostics: syntax errors, unknown references, and internal addresses of services on another node (there is no cross-node private network). The web editor runs the same analyzer locally on unsaved text.

Needs env.view on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
diagnostics*array<>
Example Request
curl -X GET 'https://example.com/api/v1/env.analyze?serviceId=string'
Example Response
{  "diagnostics": [    {      "code": "invalid-line",      "severity": "error",      "message": "string",      "detail": "string",      "params": {},      "range": {        "start": 0,        "end": 0,        "startLine": 1,        "startColumn": 1,        "endLine": 1,        "endColumn": 1      },      "fixes": [        {          "kind": "edit",          "title": "string",          "edits": [            {              "range": {                "start": 0,                "end": 0,                "startLine": 1,                "startColumn": 1,                "endLine": 1,                "endColumn": 1              },              "text": "string"            }          ]        }      ]    }  ]}